com.io7m.jpra.model

## Interface ModelElementType

- All Known Subinterfaces:
    PackageContextType, PackedFieldDeclType<I,T>, RecordFieldDeclType<I,T>, SizeExprType<I,T>, TIntegerType, TPacked.FieldType, TRecord.FieldType, TType, TypeDeclType<I,T>, TypeExprType<I,T>, TypeScalarType
  All Known Implementing Classes:
    FieldName, PackageImport, PackageNameQualified, PackageNameUnqualified, PackedFieldDeclPaddingBits, PackedFieldDeclValue, RecordFieldDeclPaddingOctets, RecordFieldDeclValue, SizeExprConstant, SizeExprInBits, SizeExprInOctets, StatementCommandSize, StatementCommandType, StatementPackageBegin, StatementPackageEnd, StatementPackageImport, TArray, TBooleanSet, TFloat, TIntegerSigned, TIntegerSignedNormalized, TIntegerUnsigned, TIntegerUnsignedNormalized, TMatrix, TPacked, TPacked.FieldPaddingBits, TPacked.FieldValue, TRecord, TRecord.FieldPaddingOctets, TRecord.FieldValue, TString, TVector, TypeDeclPacked, TypeDeclRecord, TypeExprArray, TypeExprBooleanSet, TypeExprFloat, TypeExprIntegerSigned, TypeExprIntegerSignedNormalized, TypeExprIntegerUnsigned, TypeExprIntegerUnsignedNormalized, TypeExprMatrix, TypeExprName, TypeExprString, TypeExprTypeOfField, TypeExprVector, TypeName, UnionCaseName

      public interface ModelElementType

  A marker interface indicating that something is an element of the type_model.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>>` | `getLexicalInformation()` Fetch the lexical information for the element.

- - ### Method Detail

    - #### getLexicalInformation

          Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> getLexicalInformation()

      Fetch the lexical information for the element. This is used to localize error messages to a position in a file when referring to specific elements.
      Returns:
        The original lexical information, if any

Copyright © 2016 <code@io7m.com> http://io7m.com